org.restlet.engine.http.connector

## Class Acceptor

- java.lang.Object
- - org.restlet.engine.http.connector.BaseTask
  - - org.restlet.engine.http.connector.Acceptor

All Implemented Interfaces:
  java.lang.Runnable

    public class Acceptor
    extends BaseTask

Listens on the given socket channel for incoming connections and dispatches them to the given handler pool

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`Acceptor(BaseServerHelper helper, java.util.concurrent.CountDownLatch latch)` Constructor.

### Method Summary

Methods
`protected BaseServerHelper` `getHelper()` Returns the parent server helper.
`void` `run()` Listens on the given server socket for incoming connections.

### Methods inherited from class org.restlet.engine.http.connector.BaseTask

`isRunning, setRunning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Acceptor

    public Acceptor(BaseServerHelper helper,
            java.util.concurrent.CountDownLatch latch)

Constructor.

Parameters:
  `helper` - The target server helper.
  `latch` - The latch to countdown when the socket is ready to accept connections.

### Method Detail

#### getHelper

    protected BaseServerHelper getHelper()

Returns the parent server helper.

Returns:
  The parent server helper.

#### run

    public void run()

Listens on the given server socket for incoming connections.